petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinaryWriteStringArray

writes to a binary file, only from the first process an array of strings

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryWriteStringArray(PetscViewer viewer,char **data)

Collective on MPI_Comm Many br

### Input Parameters

| viewer | - the binary viewer Many br
| data | - location of the array of strings Many br

Many br

Notes: array of strings is null terminated Many br

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), Many brPetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead() Many br

Level:intermediate
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages